/*
Theme Name: Sprung-Total
Theme URI:
Description:
Author: Sprung Interactive
Author URI: http://madebysprung.com
Template: Total
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

.post-edit {
    display: none;
}

/* TYPOGRAPHY */
.wpb_text_column h1:first-child, .wpb_text_column h2:first-child, .wpb_text_column h3:first-child, .wpb_text_column h4:first-child, .wpb_text_column h5:first-child, .wpb_text_column h6:first-child,  .wpb_text_column blockquote:first-child,
.wpb_text_column.wpex-h1, .wpb_text_column.wpex-h2, .wpb_text_column.wpex-h3, .wpb_text_column.wpex-h4, .wpb_text_column.wpex-h5, .wpb_text_column.wpex-h6 {
    margin-top: 0;
}

h5, .wpex-h5 {
    font-family: aktiv-grotesk-extended;
    font-size: 16px;
    font-weight: bold;
    line-height: 1.2;
}

h6, .wpex-h6 {
    font-family: aktiv-grotesk-extended;
    font-size: 14px;
    font-weight: 600;
    line-height: 1.2;
    text-transform: uppercase
}



/* BUTTONS AND LINKS */
a:hover {
    text-decoration: underline;
}

.theme-button {
    min-width: 160px;
}

.theme-button.white, .color-button.white {
    color: var(--wpex-palette-120-color);
}

.theme-button.white:hover, .active>.theme-button.white, .theme-button.active.white {
    background: var(--wpex-palette-120-color);
    color: var(--wpex-palette-123-color);
}

.theme-txt-link {
    font-family: 'Inter';
    font-weight: 600;
    font-size: 16px;
    text-decoration: none;
    transition: all ease .15s;
}

.theme-txt-link:hover {
    text-decoration: none;
}

.theme-txt-link.white:hover {
    color: var(--wpex-palette-176-color);
}

.theme-button-icon-right, .color-button-icon-right {
    padding-inline-start: 15px;
}

.hidden-links a {
    color: inherit;
    text-decoration: none;
}

.hidden-links a:hover {
    color: inherit;
    text-decoration: underline;
}



/* .theme-txt-link .theme-button-icon-right {
    right: 0;
    transition: all ease .15s;
}

.theme-txt-link:hover .theme-button-icon-right {
    right: -3px;
} */



/* PAGE STYLES */
.banner-slide.vc_row {
    min-height: 630px;
}

.gradient-border {
    border: 0;
    height: 2px;
    background: linear-gradient(90deg, #0255B3 0%, #43409F 50%, #D93DAF 100%);
}

.block-icon .vcex-icon-wrap {
    display: block;
}

.block-icon.wpex-text-center .vcex-icon-wrap {
    text-align: center;
    margin: auto;
}

.compass-row.vc_row {
    background-size: auto 120%;
    background-repeat: no-repeat;
    background-position: bottom right;
}

.compass-row.vc_row .wpex-bg-overlay {
    background: #292A27;
    background: linear-gradient(90deg, rgba(41, 42, 39, 1) 39%, rgba(41, 42, 39, .5) 60%, rgba(41, 42, 39, 0) 100%);
    opacity: 1;
}

.center-icon .vcex-icon-box-text {
    flex-grow: 0;
}

.product-image>.vcex-image-inner {
    overflow: hidden;
}

.product-image>.vcex-image-inner,
.product-image>.vcex-image-inner>a>.vcex-image-img,
.product-image>.vcex-image-inner>a>.vcex-image-img>img {
    display: block;
}

.product-image figcaption {
    font-family: aktiv-grotesk-extended;
    text-align: center;
    margin-top: 2px;
}

.product-image img,
.product-slider .wpex-carousel-slide img {
    transform: scale(1);
    transition: all ease .3s;
}

.product-image a:hover img{
    transform: scale(1.15);
}

.slideshow-row {
    overflow: hidden;
}

.product-slider .wpex-carousel__stage-outer {
    overflow: visible;
}

.product-slider .wpex-carousel-slide a:hover img {
    transform: scale(1.07);
}

.product-slider .wpex-carousel-slide {
    border: 1px solid var(--wpex-palette-176-color);
    border-radius: 6px;
    overflow: hidden;
}

.product-slider .wpex-carousel-slide img {
    display: block;
}

.product-slider.vcex-image-carousel .wpex-carousel-slide .wpex-carousel-entry-media {
    overflow: hidden;
}

.product-slider.vcex-image-carousel .wpex-carousel-slide .wpex-carousel-entry-details {
    padding-bottom: 30px;
}

.product-slider.vcex-image-carousel .wpex-carousel-slide .wpex-carousel-entry-title {
    font-family: aktiv-grotesk-extended;
    margin: 0;
    line-height: 1.2;
}

.product-slider.vcex-image-carousel .wpex-carousel-slide .wpex-carousel-entry-excerpt {
    font-family: Inter;
    font-weight: 600;
    line-height: 1.2;
    margin-top: 25px;
}

.product-slider.vcex-image-carousel .wpex-carousel-slide .wpex-carousel-entry-excerpt::after {
    background-image: url('/wp-content/themes/sprung-total/img/arrow.svg');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    content: '';
    display: inline-block;
    height: 10px;
    width: 10px;
    position: relative;
    margin-left: 15px;
    visibility: visible;
}

.frm_forms.with_frm_style .frm_submit {
    display: flex;
    justify-content: flex-end;
}

.with_frm_style input::placeholder, .with_frm_style textarea::placeholder {
    opacity: 1;
}

.frm_forms.with_frm_style .wpex-select-wrap {
    color: var(--text-color);
    background-color: var(--bg-color);
    border-color: var(--border-color);
    border-width: var(--field-border-width);
    border-style: var(--field-border-style);
    border-radius: var(--border-radius);
    overflow: hidden;
    width: 100%;
    display: block;
}

.wpex-multiselect-wrap select {
    background-color: var(--bg-color);
}

.frm_forms.with_frm_style .wpex-select-wrap select {
    width: 100%;
}

.frm_forms.with_frm_style .wpex-select-wrap select:focus {
    background-color: transparent
}

.with_frm_style select[multiple="multiple"] {
    padding: 10px 8px;
    min-height: 130px;
    display: block;
}

.with_frm_style select[multiple="multiple"] option:not(:last-child) {
    margin-bottom: 10px;
}

#frm_form_4_container #frm_field_33_container {
    margin-bottom: 0;
}

.sales-form-row>.wpb_column>.vc_column-inner {
    padding-left: 50px;
    padding-right: 50px;
}

.frm_forms.with_frm_style.frm_style_sales-ordering {
    line-height: 1.2;
}

.with_frm_style.frm_style_sales-ordering .frm-show-form .frm_section_heading h3[class*="frm_pos_"] {
    font-family: aktiv-grotesk-extended;
    padding-top: 9px;
}

.with_frm_style.frm_style_sales-ordering .vertical_radio .frm_checkbox label,
.with_frm_style.frm_style_sales-ordering .vertical_radio .frm_radio label {
    padding-left: 31px;
    position: relative;
}

.with_frm_style.frm_style_sales-ordering .frm_checkbox label input[type=checkbox],
.with_frm_style.frm_style_sales-ordering .frm_radio label input[type=radio] {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    margin: auto;
}

.frm_forms.with_frm_style.frm_style_sales-ordering .frm_form_field:not(.frm6) .wpex-select-wrap {
    width: 49%;
}

.with_frm_style.frm_style_sales-ordering #frm_field_54_container .frm_primary_label,
.with_frm_style.frm_style_sales-ordering #frm_field_41_container .frm_primary_label {
    font-size: var(--section-font-size);
    font-family: aktiv-grotesk-extended;
    font-weight: var(--section-weight);
    line-height: 1.2;
    color: var(--section-color);
    padding: 9px 0 16px 0;
}

.frm_forms.with_frm_style.frm_style_sales-ordering .frm_submit {
    justify-content: center;
}

.frm_forms.with_frm_style.frm_style_sales-ordering #frm_field_66_container {
    display: flex;
    /* justify-content: center; */
    align-items: flex-end;
}

table {
    margin-block-end: 0;
}

thead,
table th {
    color: var(--wpex-palette-120-color);
}

thead {
    background: transparent;
    color: var(--wpex-palette-120-color);
}

table tr {
    border-bottom: 1px solid #dedede;
}

table thead tr {
    border-bottom: 2px solid var(--wpex-palette-122-color);
}

table th, table td {
    border: none;
    line-height: 1.2;
    vertical-align: middle;
}

table th {
    font-family: aktiv-grotesk-extended;
    font-size: 14px;
    font-weight: 600;
    line-height: 1.2;
    text-transform: uppercase;
}

/* table td:not(:first-child) {
    color: var(--wpex-palette-176-color);
} */

table td {
    padding: 15px 10px;
}

table td:not([data-label="Product"]) {
    color: var(--wpex-palette-176-color);
}

table th[data-header="Product"],
table td[data-label="Product"] {
    width: 46%;
}

table th[data-header="Warranty"],
table td[data-label="Warranty"] {
    width: 17%;
}

table th[data-header="Parts"],
table td[data-label="Parts"],
table th[data-header="Labor"],
table td[data-label="Labor"] {
    width: 14%;
}

table th[data-header="Freight"],
table td[data-label="Freight"] {
    width: 9%;
}

.small-notes .wpb_wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 8px 70px;
}

.small-notes p {
    margin-bottom: 0;
}

#sb_instagram .sbi_link {
    opacity: 1;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 35%, rgba(0, 0, 0, 0.75) 100%) !important;

    /* background: transparent !important; */
}

#sb_instagram .sbi_hover_top {
    display: none;
}

#sb_instagram .sbi_hover_bottom {
    bottom: 0;
    text-align: left !important;
    padding: 0;
}

.sbi-theme:not(.sbi-modern,.sbi-overlap)#sb_instagram .sbi_hover_bottom {
    padding: 10px !important;
}

#sb_instagram .sbi_date {
    font-family: nudista-web;
    font-size: 12px;
    font-weight: 500;
}

#sb_instagram .sbi_date svg {
    display: none;
}

#sb_instagram .sbi_link .sbi_instagram_link {
    background-image: url('/wp-content/themes/sprung-total/img/Instagram.svg');
    background-size: 14px 14px;
    background-position: center;
    background-repeat: no-repeat;
    height: 34px;
    width: 34px;
    padding: 10px;
    right: 0;
}

#sb_instagram .sbi_link .sbi_instagram_link svg {
    display: none;
}

/* CARD STYLES */



/* HEADER */
#top-bar-wrap {
    padding: 0;
}

#top-bar a:hover {
    text-decoration: none;
}

:where(.wpex-classic-style) .navbar-style-one {
    --wpex-menu-btn-padding: var(--wpex-btn-padding);
}

body:not(.navbar-has-inner-span-bg) .navbar-style-one .main-navigation-ul>li:last-child.menu-button {
    margin-inline-end: 26px;
}

.menu-item.menu-button>a {
    padding: 0;
}

.main-navigation-ul>.menu-item.menu-button>a>.link-inner, .main-navigation .menu-button>a>.link-inner {
    min-width: 113px;
    text-align: center;
    transition: .15s all ease;
}

.mobile-toggle-nav .menu-button.menu-item {
    margin-block-end: 20px;
    margin-block-start: 15px;
}

.menu-button.menu-item>.mobile-toggle-nav__link-wrap>a {
    display: inline-block;
    color: var(--wpex-btn-color, var(--wpex-on-accent));
    font-size: var(--wpex-btn-font-size);
    font-family: var(--wpex-btn-font-family);
    font-style: var(--wpex-btn-font-style);
    text-transform: var(--wpex-btn-text-transform);
    letter-spacing: var(--wpex-btn-letter-spacing);
    line-height: var(--wpex-btn-line-height);
    font-weight: var(--wpex-btn-font-weight);
    background-color: var(--wpex-btn-bg, var(--wpex-accent));
    background-image: var(--wpex-btn-img);
    border-radius: var(--wpex-btn-border-radius);
    border-width: var(--wpex-btn-border-width);
    border-style: var(--wpex-btn-border-style);
    border-color: var(--wpex-btn-border-color, currentColor);
    padding: var(--wpex-menu-btn-padding, var(--wpex-btn-padding));
    min-width: 113px;
    text-align: center;
    transition: .15s all ease;
}

.menu-button.menu-item>.mobile-toggle-nav__link-wrap>a:hover {
    color: var(--wpex-hover-btn-color, var(--wpex-on-accent-alt));
    background-color: var(--wpex-hover-btn-bg, var(--wpex-accent-alt));
    background-image: var(--wpex-hover-btn-img, var(--wpex-btn-img));
    border-color: var(--wpex-hover-btn-border-color, var(--wpex-btn-border-color, currentColor));
}




/* FOOTER */
#footer-builder a:hover {
    text-decoration: none;
}

.footer-links p {
    margin-block-end: 15px;
}

.social-row>.wpb_column>.vc_column-inner>.wpb_wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 15px;
}


/* Responsive Overrides */

/* Greater then tablets
-------------------------------------------------------------- */
@media only screen and (min-width: 768px) {

}


/* Tablet & Small Desktop Widths 768px - 1280px
--------------------------------------------------------------*/
@media only screen and (min-width: 768px) and (max-width: 1280px) {
    #frm_form_6_container .frm_form_6_container,
    #frm_form_6_container .frm2 {
        grid-column: span 12 / span 12;
    }

    #frm_form_6_container .frm_form_field.frm4 {
        grid-column: span 6 / span 6;
    }

    .frm_forms.with_frm_style.frm_style_sales-ordering #frm_field_66_container {
        justify-content: flex-end;
    }
}


/* All Devices under 992px
--------------------------------------------------------------*/
@media only screen and (max-width: 991px) {
    .social-row>.wpb_column>.vc_column-inner>.wpb_wrapper {
        justify-content: center;
    }
}


/* All Devices under 960px
--------------------------------------------------------------*/
@media only screen and (max-width: 959px) {
    .compass-row.vc_row {
        background-size: auto 120%;
        background-repeat: no-repeat;
        background-position: -15% 100%;
    }

    .compass-row.vc_row .wpex-bg-overlay {
        background: #292A27;
        background: linear-gradient(90deg, rgba(41, 42, 39, 1) 39%, rgba(41, 42, 39, .5) 80%, rgba(41, 42, 39, 0) 100%);
        opacity: 1;
    }
}

/* Tablet Landscape
--------------------------------------------------------------*/
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : landscape) {

}

/* Tablet Portrait
--------------------------------------------------------------*/
@media only screen and (min-width: 768px) and (max-width: 959px) {

}

/* Between Phone and Mobile
--------------------------------------------------------------*/
@media only screen and (max-width: 500px) {

}

/* Desktop
--------------------------------------------------------------*/
@media only screen and (min-width: 768px) {

}

/* Phone Portrait and Landscape
--------------------------------------------------------------*/
@media only screen and (max-width: 767px) {

    /* TYPOGRAPHY */


    /* BUTTONS AND LINKS */


    /* PAGE STYLES */
    .banner-slide.vc_row {
        min-height: 450px;
    }
    .compass-row.vc_row {
        background-size: calc(118vw + 200px) auto;
        background-repeat: no-repeat;
        background-position: 80% calc(100% + 14vw);
    }

    .compass-row.vc_row .wpex-bg-overlay {
        background: #292A27;
        background: linear-gradient(180deg, rgba(41, 42, 39, 1) 37%, rgba(41, 42, 39, .7) 54%, rgba(41, 42, 39, 0) 100%);
        opacity: 1;
    }

    .center-icon {
        justify-content: center;
    }

    #frm_form_6_container .frm_form_6_container,
    #frm_form_6_container .frm2,
    #frm_form_6_container .frm_form_field.frm4,
    .frm_style_sales-ordering.with_frm_style .form-field.frm_section_heading {
        grid-column: span 12 / span 12;
    }

    .frm_forms.with_frm_style.frm_style_sales-ordering #frm_field_66_container {
        justify-content: flex-end;
    }

    table {
      border: 0;
      font-size: 14px;
    }

    table caption {
    }

    table thead {
      border: none;
      clip: rect(0 0 0 0);
      height: 1px;
      margin: -1px;
      overflow: hidden;
      padding: 0;
      position: absolute;
      width: 1px;
    }

    table tr {
      border-bottom: 3px solid var(--wpex-palette-122-color);
      display: block;
      margin: 5px 0;
      padding-bottom: 5px;
    }

    table td {
      border-bottom: 1px solid var(--wpex-palette-176-color);
      display: block;
      text-align: right;
      padding: 10px 0;
    }

    table td::before {
      color: var(--wpex-palette-120-color);
      content: attr(data-label);
      float: left;
      font-weight: bold;
      text-transform: uppercase;
      padding-right: 15px;
      font-style: .9em;
    }

    table td:last-child {
      border-bottom: 0;
    }

    table th[data-header="Product"],
    table td[data-label="Product"] {
        width: 100%;
    }

    table th[data-header="Warranty"],
    table td[data-label="Warranty"] {
        width: 100%;
    }

    table th[data-header="Parts"],
    table td[data-label="Parts"],
    table th[data-header="Labor"],
    table td[data-label="Labor"] {
        width: 100%;
    }

    table th[data-header="Freight"],
    table td[data-label="Freight"] {
        width: 100%;
    }

    .small-notes .wpb_wrapper {
        flex-direction: column;
    }

    /* CARD STYLES */


    /* HEADER */


    /* FOOTER */


}

/* Phone Landscape
--------------------------------------------------------------*/
@media only screen and (min-width: 480px) and (max-width: 767px) {

}

/* Form Mobile Breakpoint
--------------------------------------------------------------*/
@media only screen and (max-width: 600px) {
    .frm_forms.with_frm_style.frm_style_sales-ordering .frm_form_field:not(.frm6) .wpex-select-wrap {
        width: 100%;
    }
}

/* Phone Portrait
--------------------------------------------------------------*/
@media only screen and (max-width: 480px) {
      .compass-row.vc_row {
        background-size: calc(149vw + 200px) auto;
        background-repeat: no-repeat;
        background-position: 71% calc(100% + 14vw);
    }

    .compass-row.vc_row .wpex-bg-overlay {
        background: #292A27;
        background: linear-gradient(180deg, rgba(41, 42, 39, 1) 38%, rgba(41, 42, 39, .8) 59%, rgba(41, 42, 39, 0) 100%);
        opacity: 1;
    }

    .sales-form-row>.wpb_column>.vc_column-inner {
        padding-left: 30px;
        padding-right: 30px;
    }

    #frm_form_6_container .frm_form_field.frm6 {
        grid-column: span 12 / span 12;
    }

    #frm_form_6_container .frm_combo_inputs_container {
      grid-gap: var(--field-margin) 2%;
    }
